
#include <IRremote.h>

int broche_reception_ir = 2; // broche 2 utilisée en entrée IR
int ledRge = 9;
int ledVrt = 5;
int ledBlu = 6; 

IRrecv reception_ir(broche_reception_ir); // crée une instance de réception
decode_results decode_ir; // stockage données reçues

  
     


int val3 = random (0,255);         // variables
int val1 = random (0,255); 
int val2 = random (0,255); 



void setup()

{ 
  pinMode(3, OUTPUT);   // sets the pin as output
  pinMode(5, OUTPUT);   // sets the pin as output
  pinMode(6, OUTPUT);   // sets the pin as output
  pinMode(2, INPUT);
  
  reception_ir.enableIRIn(); // démarre la réception 

}



void loop(){

  if (reception_ir.decode(&decode_ir)) 
  { 
    if (decode_ir.value == 0xFF7A85) 
    { 
      // touche 6 -> monte led bleues
    val3= val3 + 25;
      analogWrite(ledBlu, val1);
    } 

     
    if (decode_ir.value == 0xFF5AA5) 
    { 
      // touche 9 -> Baisse led bleues
    val3= val3 - 25;
      analogWrite(ledBlu, val3);
    } 
                                     


     if (decode_ir.value == 0xFF18E7) 
    { 
      // touche 5 -> monte led vertes
    val2= val2 + 25;
      analogWrite(ledVrt, val2);
    } 

       if (decode_ir.value == 0xFF38C7) 
    { 
      // touche 8 -> Baisse led vertes
    val2= val2 - 25;
      analogWrite(ledVrt, val2);
    } 



       if (decode_ir.value == 0xFF30CF) 
    { 
      // touche 4 -> monte led rouges
    val1= val1 + 25;
      analogWrite(ledRge, val1);
    } 

       if (decode_ir.value == 0xFF10EF) 
    { 
      // touche 7 -> Baisse led rouges
    val1= val1 - 25;
      analogWrite(ledRge, val1);
    } 

    

      if (decode_ir.value == 0xFF4AB5) 
    { 
      // touche 0 -> Eteind tout
    val1= 0;
    val2= 0;
    val3= 0;
      analogWrite(ledRge, val1);
            analogWrite(ledVrt, val2);
                  analogWrite(ledBlu, val3);
    }


    if (decode_ir.value == 0xFF42BD) 
    { 
      // touche * -> Eteind tout avec mémoristion

      analogWrite(ledRge, 0);
            analogWrite(ledVrt, 0);
                  analogWrite(ledBlu, 0);
    }


             if (decode_ir.value == 0xFF52AD) 
    { 
      // touche # -> Alume suivant mémorisation
      analogWrite(ledRge, val1);
            analogWrite(ledVrt, val2);
                  analogWrite(ledBlu, val3);
    }
    reception_ir.resume(); // reçoit le prochain code 
  }   
} 
  
