
/* Programme de simulation de télé en fonctionnement en absence,
 *  et de commande de leds multicolores pour ambiance lumineuse.
 *  Par B.LECLERC/FEELGOOD
 */

const int UpButton = 7;   // Déclaration de Entrees
const int DwButton = 8;
const int OkButton = 12;

int ledRed = 3;   // Déclaration de Soties
int ledGrn = 5;
int ledBlu = 6; 

int val0 = 0;         // variables à valeurs aléatoires
int val1 = 0; 
int val2 = 0;
int tmp;
int Nbr = 0;
int Rng = 0; 

void setup()

{ 
  pinMode(ledRed, OUTPUT);   // Direction des pinuches
  pinMode(ledGrn, OUTPUT);
  pinMode(ledBlu, OUTPUT); 
  pinMode(UpButton, INPUT);
  pinMode(DwButton, INPUT);
  pinMode(OkButton, INPUT);
  
}


void loop(){
Debut:  // Sous programme de mise sous tention--> simulation télé en marche !
val1 = random (0,255); // Genération de valeurs aléatoires calibrées pour simulation télé !
val2 = random (0,255);
val0 = random (0,255);
tmp = random (300,3000);

if (digitalRead(OkButton)==HIGH){  // Controle de la demande d'accès au réglage manuel de luminosité !
  val1 = 0;  // R à Z des couleurs si demande d'accès aux régléges manuels de luminosité !
  val2 = 0;
  val0 = 0;
  goto usage; // Saute au sous programme du réglage manuel de luminosité !
  }

analogWrite(ledRed, val1);  // Ecriture des valeurs aléatoires sur les sorties leds, pendant un certain temps !
analogWrite(ledGrn, val2);
analogWrite(ledBlu, val0);
delay (tmp);
goto Debut;  // Retour au debut et ainsi de suite !

usage:  // Label de sous programme de demande de réglage manuel !

if (digitalRead(OkButton)==HIGH){  // Choix de la couleur à régler !
  Rng = Rng + 1;
  if (Rng == 4)(Rng = 1); // Remise à la 1° couleur!
  delay (500);
} 
if (digitalRead(UpButton)==HIGH){  // Monte de 0 à 255 par pas de 10 !
  Nbr = Nbr + 10;
  if (Nbr > 255)(Nbr = 0);  // Trop Grand --> RàZ !
  delay (200);
}
if (digitalRead(DwButton)==HIGH){   // Descend de 255 à 0 par pas de 10
  Nbr = Nbr - 10;
  if (Nbr < 1)(Nbr = 0);  // Trop Petit --> Valeur maxi !
  delay (200);
}

  if (Rng == 3){  // Attribution de la valeur à la couleur !
    (val1 = Nbr);
  }
  if (Rng == 1){ // Attribution de la valeur à la couleur !
    (val2 = Nbr);
  }
  if (Rng == 2){ // Attribution de la valeur à la couleur !
    (val0 = Nbr);
  }

analogWrite(ledRed, val0);  // Ecriture des valeurs réglées sur les sorties leds !
analogWrite(ledGrn, val2);
analogWrite(ledBlu, val1);

  if (digitalRead(UpButton) == HIGH  && digitalRead(DwButton) == HIGH) {  // Remise en mode aléatoire en appuyant sur plus et moins simultanément !
    goto Debut;
  }

goto usage; // Et retour au sous-programme de réglage manuel !
} 


